<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/lunar/class/view/pluginlunarconfigview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginLunarConfigAction extends AdminAction
	{
		
		function PluginLunarConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginLunarConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>